Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.providers.ejb
Class EjbStruct

    java.lang.Object
      |
      +--oracle.soap.providers.ejb.EjbStruct

All Implemented Interfaces:
  Deserializer, Serializer

public class EjbStruct
extends java.lang.Object
implements Serializer, Deserializer

Constructor Summary
`EjbStruct()`
`EjbStruct(java.lang.Object value, java.lang.Class type)`

Method Summary
`java.lang.Class` | `getType()`
`java.lang.Object` | `getValue()`
`void` | `marshall(java.lang.String inScopeEncStyle, java.lang.Class javaType, java.lang.Object src, java.lang.Object context, java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr)`
`java.lang.String` | `toString()`
`Bean` | `unmarshall(java.lang.String inScopeEncStyle, QName elementType, Node src, XMLJavaMappingRegistry xjmr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.soap.util.xml.Serializer
`marshall`

Methods inherited from interface org.apache.soap.util.xml.Deserializer
`unmarshall`

Constructor Detail

### EjbStruct

    public EjbStruct()

### EjbStruct

    public EjbStruct(java.lang.Object value,
                     java.lang.Class type)
              throws java.lang.IllegalArgumentException

Method Detail

### getValue

    public java.lang.Object getValue()

### getType

    public java.lang.Class getType()

### marshall

    public void marshall(java.lang.String inScopeEncStyle,
                         java.lang.Class javaType,
                         java.lang.Object src,
                         java.lang.Object context,
                         java.io.Writer sink,
    NSStack nsStack,
    XMLJavaMappingRegistry xjmr)
                  throws java.lang.IllegalArgumentException,
                         java.io.IOException

    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### unmarshall

    public Bean unmarshall(java.lang.String inScopeEncStyle,
    QName elementType,
    Node src,
    XMLJavaMappingRegistry xjmr)
                    throws java.lang.IllegalArgumentException

    `java.lang.IllegalArgumentException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.